Download it now!
Bug 49924 - FILESAVE: Comments disappear
Summary: FILESAVE: Comments disappear
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: target:3.7.0 target:3.6.0.1
Keywords: regression
Depends on: 52998 52999
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-14 10:12 UTC by SURCOUF
Modified: 2012-09-23 22:31 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample Document (8.21 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-06-26 22:13 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description SURCOUF 2012-05-14 10:12:48 UTC
Hello,

I installed LibO3.6.0 alpha0 build 87897ea for testing. I just noticed a quite annoying bug. All comments just disappeared when a file is modified and saved under this version using CALC.

When opened using LibO 3.5.3 under UBUNTU, I can't recover the comments.

I've opened this issus after making a long search to see if it haven't been declaired earlier.

Step to reproduce

- Open a spressheet
- Place some comments in any cell
- Save the file and close LibO
- Reopen the save file
- Add any data
- Save again and close LibO
- Reopen the file

All comments are gone.

Hope that this will help.

Bunty
Comment 1 SURCOUF 2012-05-26 23:16:38 UTC
Just installed the LibO3.6.0 alpha0 build 1bb9a60 version. I noticed the same bug concerning the comments.

Unfortunately, besides me, nobody noticed this bug.

Hope that it can be confirmed soon.

Bunty

UBUNTU 12.0 LTS 64 Bits
GNOME 3.4.0
Comment 2 SURCOUF 2012-06-12 11:08:06 UTC
Just installed the LibO3.6.0 BETA1 build 1f1cdd8 version. I noticed the same
bug concerning the comments.

Unfortunately, besides me, nobody noticed this bug. Quite disappointing since all of my former comments are gone. I'm still awating for the fix to see if I can recover the lost comments.

Hope that it can be confirmed soon. I feel so alone to be the only one to have this problem

Bunty

UBUNTU 12.0 LTS 64 Bits
GNOME 3.4.0
Comment 3 SURCOUF 2012-06-22 22:56:44 UTC
Since nobody confirmed this bug, I just installed the Version 3.6.0.0.beta2 (Build ID: f010139) to see if this problem still exist. Unfortunatelly for me, the lost of all comments is still there.

May be someone will finally notice the same bug.

Bunty

UBUNTU 12.04 LTS 64 Bits
GNOME 3.4.0
Comment 4 Korrawit Pruegsanusak 2012-06-23 22:26:51 UTC
Thanks for the bug report.
Could you please tell which format you save the file (ods, xls, xlsx, ..) and cause this problem?
Comment 5 SURCOUF 2012-06-23 22:39:44 UTC
(In reply to comment #4)
> Thanks for the bug report.
> Could you please tell which format you save the file (ods, xls, xlsx, ..) and
> cause this problem?

Thanks for your reply. I started to be helpless that there's no response to my report. In fact, I only tried to save to ods format. I just tried the other formats, I got the same result.

Hope that you'll find a patch to this bug.

Bunty

UBUNTU 12.04 LTS 64 Bits
GNOME 3.4.0
LibO 3.6.0 Beta 2
Comment 6 Korrawit Pruegsanusak 2012-06-24 00:25:10 UTC
Thanks for the info. I checked on Windows XP with Master Daily Build,
from tinderbox Win-x86@6-fast, pull time 2012-04-24 22:15:22,
git core: 52d90ce040234cb35fad03bdd12e201bfa3a8634

[REPRODUCIBLE] when saving as .xls and .xlsx, but no problem saving as .ods

So, sorry for trouble, but could you please check again that saving to .ods also have the problem? Thanks! :)
Comment 7 SURCOUF 2012-06-24 00:40:23 UTC
I tried it under UBUNTU 12.04 several times, even using PPA LibO 3.6.0 beta 1 version (https://launchpad.net/~libreoffice/+archive/libreoffice-prereleases). The only way not to lose any comment is to let it permanently visible.

Bunty

UBUNTU 12.04 LTS 64 Bits
GNOME 3.4.0
LibO 3.6.0 Beta 2
Comment 8 Rainer Bielefeld Retired 2012-06-26 22:13:29 UTC
Created attachment 63500 [details]
Sample Document

[Reproducible] with attached sample document and Server Installation of  "LibreOffice 3.6.0.0.beta2  German UI/Locale [Build-ID: f010139] on German WIN7 Home Premium (64bit) 

Steps to reproduce:

1. open attached sample document
   > Comments in cells A1, D4, G7
2. Type an "x" into C10, <Enter>
3. Save as Sample10.ods, close, reopen
   Bug: Comments disappeared
Comment 9 Rainer Bielefeld Retired 2012-06-26 22:24:47 UTC
[Reproducible] with Server installation of Master "LOdev 3.6.0alpha0+  – WIN7 Home Premium (64bit) ENGLISH UI [Build ID: 7175cee]" (tinderbox: Win-x86@6-fast, pull time 2012-05-16 22:07:37)

Worked fine:
with "LOdev 3.6.0alpha0+  English UI/Locale [Build ID: 9518535-d09cf17-8a74106-c695ecd-16afab (libreoffice-3-5-branch-point)]"  {Win-x86@9-Voreppe Win32 pull time 2012-02-29 04:21:51}. OS: German WIN7 Home Premium (64bit)  

Might be Bibisecting will bring additional info

@SURCOUF
Attaching a sample document always accelerates review process.

@Markus:
Please set Status to ASSIGNED and add yourself to "Assigned To" if you accept this Bug
Comment 10 SURCOUF 2012-06-26 22:58:19 UTC
Rainer Bielefeld

Thanks to have a glance to this bug.
Can't see how to illustrate this bug through a sample file.
Hope that you'll be able to find out a solution without a sample file.

Bunty

UBUNTU 12.04 LTS 64 Bits
GNOME 3.4.0
LibO 3.6.0 Beta 2
Comment 11 Korrawit Pruegsanusak 2012-07-04 03:56:26 UTC
With sample document and steps in comment 8, bibisected as follows.

l@vbox64:~/bibisect-3.6-20120428$ git bisect log
# bad: [aa062d7ec36c69c1aff1abf994a90c5f0987c5be] source-hash-d50f02bec4a70bd26a518e4e76f4a876454ab937
# good: [bba31ba417672c6f185a6875c813677e8ac44c86] source-hash-9a8d7e2a3f41f9e1c39c5634714a3a2b21776670
git bisect start 'latest' 'oldest'
# bad: [631e1335e3a9629152a2a4cb0f99304248299eb0] source-hash-bd6310886dc4351a8ac3ed3ee9a4f65d2a0e005c
git bisect bad 631e1335e3a9629152a2a4cb0f99304248299eb0
# good: [078f3ebbba087e4ff9aa6ef26b9a4b0128850261] source-hash-8b55ef8898a39803e9c4a8cd6a271576389c0249
git bisect good 078f3ebbba087e4ff9aa6ef26b9a4b0128850261
# good: [a10fac7a4c3129fea172c9bd5f21c8ea5bf0b418] source-hash-b9b8ae8a484471ce067ad09dc96cad0d87285a6f
git bisect good a10fac7a4c3129fea172c9bd5f21c8ea5bf0b418
# bad: [78f0eb3181fd019655d8925fe0c119d325b6a57a] source-hash-bf12ddb08f60aa261f83e1688c5d589a69eea0dd
git bisect bad 78f0eb3181fd019655d8925fe0c119d325b6a57a
# bad: [c1ff9aa78fa009d3c14c329d1e131b6e95c2324b] source-hash-efe7517856b5682b0f595822b953bf3ae4233588
git bisect bad c1ff9aa78fa009d3c14c329d1e131b6e95c2324b
# bad: [3000bcbac199ca11e9be5b496bee8bb874945309] source-hash-5af303c0cd4d46c459c6b90712843967d716c866
git bisect bad 3000bcbac199ca11e9be5b496bee8bb874945309

I didn't test exporting to xls / xlsx.
Comment 13 Markus Mohrhard 2012-07-04 04:20:39 UTC
There was no need for bibisacting it. There are only 5 to 10 commits which could have introduced this regression.
Comment 14 SURCOUF 2012-07-04 06:54:35 UTC
(In reply to comment #13)
> There was no need for bibisacting it. There are only 5 to 10 commits which
> could have introduced this regression.

@Markus Mohrhard

May be that there's only 5 to 10 commits. Yet I can say that it's very annoying to find that every of all my comments disappeared, especially when these comments are used for my work.

Hope that with or without bibisection, you'll be able to patch this bug.

Thanks

Bunty

UBUNTU 12.04 LTS 64 Bits
GNOME 3.4.0
LibO 3.6.0 Beta 2 - Libreoffice 3.5.4.2
Comment 15 SkBuff 2012-07-04 07:49:03 UTC
[Reproducible] on Kubuntu 12.04 (64bit) with LO Version 3.6.0.0.beta2 (Build ID: 360m1(Build:12)) using the steps in comment 8.
Comment 16 Markus Mohrhard 2012-07-06 19:15:33 UTC
Ok, I might have an ugly hack as solution to the problem. Strangely our internal test document is exported correctly, the attached document has one missing note entry and looking at the code I would have expected no exported note entries.

Anyway I'll add a clean solution that works correctly with the new note storage. Should be fixed in RC1.
Comment 17 Markus Mohrhard 2012-07-07 19:52:44 UTC
Implemented an ugly fix for it. Please don't look at the code ;)
Comment 18 Not Assigned 2012-07-07 20:01:52 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f23e5407c137504d5efa980f7ac202e1566b583e

export all notes into odf, fdo#49924
Comment 19 Not Assigned 2012-07-07 20:08:36 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4d965688abb30589b9092a290bfa8aca827f24c6&g=libreoffice-3-6

export all notes into odf, fdo#49924


It will be available in LibreOffice 3.6.
Comment 20 Not Assigned 2012-07-12 02:22:56 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4d965688abb30589b9092a290bfa8aca827f24c6&g=libreoffice-3-6

export all notes into odf, fdo#49924


It will be available in LibreOffice 3.6.
Comment 21 Markus Mohrhard 2012-07-12 02:25:22 UTC
Sorry for all upcoming spams in this bug report. I need this bug report to test the changes at the bugzilla git script.
Comment 22 Not Assigned 2012-07-12 02:32:40 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4d965688abb30589b9092a290bfa8aca827f24c6&g=libreoffice-3-6

export all notes into odf, fdo#49924


It will be available in LibreOffice 3.6.
Comment 23 Not Assigned 2012-07-12 02:34:47 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4d965688abb30589b9092a290bfa8aca827f24c6&g=libreoffice-3-6

export all notes into odf, fdo#49924


It will be available in LibreOffice 3.6.
Comment 24 Not Assigned 2012-07-12 02:35:55 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4d965688abb30589b9092a290bfa8aca827f24c6&g=libreoffice-3-6

export all notes into odf, fdo#49924


It will be available in LibreOffice 3.6.
Comment 25 Not Assigned 2012-07-12 02:37:51 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4d965688abb30589b9092a290bfa8aca827f24c6&g=libreoffice-3-6

export all notes into odf, fdo#49924


It will be available in LibreOffice 3.6.
Comment 26 Markus Mohrhard 2012-07-12 02:38:32 UTC
Ok, script is working correct now. Sorry for the noise.
Comment 27 Korrawit Pruegsanusak 2012-07-28 08:56:43 UTC
Sorry for the delay. I tested with 3.6.0.2 WinXP, and saving to .ods now works (read: comments are saved). Thanks Markus. :-)

Unfortunately, saving to .xls and .xlsx still didn't save comments.
Markus, would you like me to create new bug report for each format, or would you like to handle them in this bug? Thanks again!

/me also set whiteboard version back to 3.6.0.1
Comment 28 Korrawit Pruegsanusak 2012-07-31 11:37:48 UTC
(In reply to comment #27)
> Unfortunately, saving to .xls and .xlsx still didn't save comments.
> Markus, would you like me to create new bug report for each format, or would
> you like to handle them in this bug? Thanks again!

I created new bug report for each format to avoid confusion. Please see bug 52998 and bug 52999. Thanks :-)
Comment 29 JJ Bruno 2012-09-23 22:23:14 UTC
I have installed Version 3.6.0.4 (Build ID: 932b512) of Libre office Calc:used on several different Linux distros and three different machines.  Each time a file is saved, the embedded cell "comments" previously made disappear. This occurs while saving in the .xls format!  In.ods format, the "comments" are retained as previously in all versions of Libre Office, and Open Office before that.

Is there a solution to this bug.  I confess I don't see one in the 

JJ Bruno
Comment 30 Korrawit Pruegsanusak 2012-09-23 22:31:06 UTC
(In reply to comment #29)
> Is there a solution to this bug.  I confess I don't see one in the

Solution is: use version 3.6.1 (you will see it as 3.6.1.2 in About box) or any later versions (to be released).